/* Copyright (C) 2005 sgop@users.sourceforge.net
   This is free software distributed under the terms of the
   GNU Public License.  See the file COPYING for details. */

#ifndef _DC_H_
#define _DC_H_

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include "lcore/plugin.h"
#include "lcore/chat.h"
#include "dc_network.h"

#define DC_MEDIA_ANY         1
#define DC_MEDIA_AUDIO       2
#define DC_MEDIA_COMPRESSED  3
#define DC_MEDIA_TEXT        4
#define DC_MEDIA_APPLICATION 5
#define DC_MEDIA_IMAGE       6
#define DC_MEDIA_VIDEO       7
#define DC_MEDIA_FOLDER      8
#define DC_MEDIA_TTH         9

extern int DC_ID;

char* dc_generate_key(unsigned char *lock);

int dc_get_media(int media);
int dc_set_media(int media);


#endif
