/* Copyright (C) 2003 sgop@users.sourceforge.net
   This is free software distributed under the terms of the
   GNU Public License.  See the file COPYING for details. */

#ifndef _NAP_PING_H_
#define _NAP_PING_H_

#include <glib.h>

#include "nap_network.h"

void nap_ping_user(const char* user, nap_net_t* net);
void nap_ping_received(nap_net_t* net,
		       const char* user, const char* add);
void nap_pong_received(nap_net_t* net,
		       const char* user, const char* add);

#ifdef WIN32
# ifndef HAVE_GETTIMEOFDAY
int gettimeofday (struct timeval *tv, void* tz);
# endif // HAVE_GETTIMEOFDAY
#endif // WIN32

#endif
